
#include "push_swap.h"

void	ps_usage(void)
{
	ft_printf("usage\n");
}

void	ps_error(int err)
{
	if (err == 1)
		ps_usage();
	if (err == 2)
		ft_printf("error\n");	
	exit(0);
}

void	ps_stop(t_stack *stack_a, t_stack *stack_b, t_list *solution, int err)
{
	if (stack_a)
		ft_lstclear((t_list **)&stack_a, NULL);
	if (stack_b)
		ft_lstclear((t_list **)&stack_b, NULL);
	if (solution)
		ft_lstclear(&solution, free);
	if (err < 0)
		return ;
	else if (err > 0)
		ps_error(err);
	exit(0);
}
